**`KE MA`[NAME]** -NL- Telephone:​ 07868 882 11 Granville Road Gillingham Kent ME7 2PB ​E-mail:​​**`kema2012@gmail.com`[EMAILS_EMAIL]** -NL- **`Summary`[SUMMARY_HEADING]** -NL- A passionate software engineer who specialises in Object-Oriented Programming with 8+ years -NL- experience in Web development and mobile app development, being proficient in Swift and -NL- Objective-c. -NL- Technologies: -NL- ● iOS development: Xcode, Swift up to 5.1, Objective-C, Storyboard and Programmatic -NL- UI, CoreData, Realm, UIKit, Cocoapods, Carthage, Firebase, XCText -NL- ● Libraries used: Fabric, Crashlytic, Firebase, lottie, Alamofire -NL- ● Cloud technologies: Azure, AWS, Alibaba Cloud -NL- ● Design tools: InVison, Sketch, Photoshop -NL- ● CI/CD: Bitrise, Jenkins, fastlane, TeamCity, buddybuild -NL- ● Version Control: Git, SVN -NL- ● Other dev skills: worked as backend developer building e-commerce website, Restful -NL- API Service; HTML, Javascript and CSS for web development. -NL- ● Software development methodologies: Agile, TDD/BDD, Unit testing, UI testing -NL- **`Work Experiences`[WORK_EXPERIENCE_HEADING]** -NL- Doctor Care​ ​Anywhere -NL- July 2019 - Current -NL- Position​: ​**`Senior iOS Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: ​Working in a x-functional team. Design, architect and build high quality -NL- iPhone apps for Health Care platform. -NL- Link to the app:​​https://apps.apple.com/gb/app/doctor-care-anywhere/id882607302 -NL- ● I’ve been coordinating with backend and product validation and API design -NL- ● focus on architecture, scale the existing app and build new features -NL- ● Lead tech interview -NL- ● Mentor mid/junior iOS engineer -NL- ● Lead a small team of 3 iOS engineers -NL- **`MyDrive Solutions`[EMPLOYER_COMPANY_NAME]** -NL- Jan​ ​2018 - June 2019 -NL- Position: ​**`iOS Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: ​Working in a cross-functional Agile team, design, architect, and build high -NL- quality iPhone apps for the world 2nd largest telematics insurance group- Generali. -NL- **`WME | IMG`[EMPLOYER_COMPANY_NAME]** -NL- Nov 2016 - Jan 2018 -NL- Position: ​**`Mobile Solutions Architect`[EMPLOYER_ROLE]** -NL- Responsibilities:​ Leading an agile team of developers, conducting daily stand ups, design and -NL- implement iOS mobile app solutions for business users including staff and executives. Projects -NL- include -NL- - WME Models – Corporate Content Management App -NL- - Winter Wonderland ticket sales app -NL- - Octagon – Event management, UFC fighter scheduler app -NL- Overseeing the corporate mobility transfer process, providing technical reviews, architected -NL- Greenfield projects and consulted on iOS best practices, Frontend designs, and backend -NL- system integrations via Restful APIs. -NL- Still spent half of my day coding and another half in documentations, planning and code -NL- reviewing. -NL- **`Suburb Design Ltd.`[EMPLOYER_COMPANY_NAME]**, UK -NL- May 2014 – Nov 2016 -NL- Page ​1​ of ​4 -NL- Position: ​**`Senior Developer (Lead iOS and PHP/Magento Dev)`[EMPLOYER_ROLE]** -NL- Responsibilities: ​Working in an independent and fast-paced London based studio. -NL- I have been working on projects with many world-famous brands, including, -NL- Ecommerce websites scale from one store to multi-stores internationally, including -NL- johnlobb.com, gfsmith.com, hattonbydesign.com and more. -NL- - Building Magento modules, themes using PHP, TDD/BDD. -NL- - Building websites using Laravel, wordpress, TDD/BDD. -NL- - Attended kick-off meetings with clients to gather project requirements and create -NL- project specifications. -NL- - Managing projects using sprints, daily stand-ups and weekly reports with fellow -NL- developers and designers. -NL- - Building native iOS apps using objective-c, swift; Web app using Cordova -NL- **`Projects`[OTHERS_HEADING]** -NL- Swatch, built iPad App for their Valentine’s day event; -NL- and many more interesting and exciting projects, and personal mobile projects could provide -NL- as requested. -NL- Lead iOS project - GoBots and published at App Store. -NL- https://itunes.apple.com/gb/app/gobots/id1013894730?mt=8&ign-mpt=uo%3D4 -NL- Build internal RnD project - BusDipity and published at Google Play and Apple App Store. -NL- http://busdipity.mobi/ -NL- Apple App Store: ​https://itunes.apple.com/gb/app/busdipity/id938794508 -NL- Google Play: ​https://play.google.com/store/apps/details?id=com.suburb.busdipity -NL- Loserz App (client’s web app, built with Cordova, push notification, nodejs websocket) - -NL- published at Apple App store. -NL- https://www.loserzapp.com/ -NL- https://itunes.apple.com/gb/app/loserz/id980575389 -NL- FreemanXP, built iOS survey app for them under extremely tough deadline and received 100% -NL- client satisfaction. -NL- **`Daniel J Edelman Ltd`[EMPLOYER_COMPANY_NAME]**., UK -NL- June 2013 – May 2014 -NL- Position: ​**`Technical Developer`[EMPLOYER_ROLE]** -NL- Responsibilities: ​Working in Digital Team, Brighton. Working with many pieces of digital -NL- content work including website, web application, and mobile apps for portfolio of world-famous -NL- companies, such as HP YouTube Channel Gadget, Diageo and our internal web applications. -NL- Setting up and optimising web servers by working with our technical partners. Research and -NL- develop most innovative IT technologies to enable our clients managing their digital content -NL- projects better. -NL- Achievements: -NL- • In the second month of my employment with Edelman, I was nominated to be the best -NL- employee on the month with a Spot Award. -NL- • One of our internal web application built by me received very high recognition from my -NL- Page ​2​ of ​4 -NL- employer and colleagues. -NL- **`Shocklogic Global Ltd.`[EMPLOYER_COMPANY_NAME]**, UK -NL- March 2012-June 2013 -NL- Position: ​**`Support Technician / Software Engineer`[EMPLOYER_ROLE]** -NL- Responsibilities: ​Handling technical requirements for existing software products, e.g. fixing -NL- system bugs / designing and developing new functions to develop the existing CMS systems -NL- based on ASP and PHP platform -NL- Project:​ Content Management System -NL- Description:​ CMS system for event industrial. This system allows the clients to manage their -NL- both scientific and corporate events from participants registration online, reporting, designing -NL- and printing name badges on demand. Managing abstracts submissions and memberships -NL- management. -NL- Technologies:​ ASP, PHP, MS SQL SERVER, SQLITE, CSS, HTML, JQUERY, Php Zend Framework, -NL- Crystal Reports, Android. -NL- Achievements: -NL- • Built barcode scanner App on Android devices successfully in a very short period of time. -NL- • Successfully integrated few payment gateways into the system (HSBC Global Iris, OGone, -NL- Paypal, Sagepay) -NL- • Worked well in the team and improved my reporting and communicating skills very well -NL- **`Software Developer`[EMPLOYER_ROLE]**, **`Aptica Ltd`[EMPLOYER_COMPANY_NAME]**., UK -NL- May 2011-January 2012 -NL- Role​: ​Software Engineer -NL- Responsibilities: ​Leading a small team of software developers working on development of -NL- mobile security app in Android and a web application in php. -NL- Project​: Mobile App Builder -NL- Description​: This is a web application for internal user to build mobile apps faster across all -NL- mobile platforms. And in later stage, we improve it to be able to change themes, so that our -NL- clients could use it as their mobile apps development tools. -NL- Technologies​: PHP -NL- Achievements: -NL- • I was able to lead a small team of developers to finish and deliver our final project -NL- on-time, it helped me building up my leadership skills. -NL- • I was able to deliver the project with a very tight budget and short period and that make -NL- me feel more confident for my future career. -NL- • Working together with other external personals, e.g. graphic designers and marketers -NL- helped me improving my formal and informal communication skills. -NL- • Working as a software developer in Aptica, due to the nature of the company, I understood -NL- more about IT system security and how to build more secure software and system. -NL- **`PHP Developer`[EMPLOYER_ROLE]**, **`thechineseherb (UK) Ltd`[EMPLOYER_COMPANY_NAME]**, UK -NL- April 2010 – April 2011 -NL- • thechineseherb ​(UK) Ltd is the largest Chinese medicine e-retailer in the UK. It has had -NL- the largest customer bases of purchasing Chinese medicine online. -NL- • As a web developer (PHP, CSS, JQUERY, MYSQL), working in the developing team, review -NL- options and requirements from management. -NL- • Tested the design to ensure satisfied website usability and accessibility. -NL- • Kept updating with latest developments in web design evaluation and internet security. -NL- Page ​3​ of ​4 -NL- • Turned business requirements into real success project. -NL- Achievements: -NL- • Gained experience in commercial IT project management in real life. Managed to finish -NL- several projects successfully before deadlines. -NL- • Developed back end computer programs to help improve productivity and efficiency, -NL- including batch mailing processor and simplified one-click emailing system. -NL- **`Education`[EDUCATION_HEADING]** -NL- Masters of Business Administration (MBA), **`University of Wales`[EDUCATION_INSTITUTE]** -NL- Apr 2009 – Apr 2010 -NL- **`BSc`[EDUCATION_DEGREE]** (Hons) **`Applied Business Computing`[EDUCATION_COURSE]**, **`University of Sunderland`[EDUCATION_INSTITUTE]** -NL- Aug 2004 – Jul 2007 -NL- **`Extra Curricular Achievements`[OTHERS_HEADING]** -NL- Project Manager, **`University of Wales`[EDUCATION_INSTITUTE]** -NL- • In charge of developing final project in University -NL- • Planned the resources, planned scope and size of the project -NL- • Conducting meetings with team-members, tutors, and sponsors -NL- • Allocated resources and assigned tasks to team-members -NL- **`Interests`[SKILLS_HEADING]** -NL- • Ethical hacking, Music, Writing and Sports. -NL- Page ​4​ of ​4 -NL- 